%bcond_without check

%global goipath         github.com/jackc/chunkreader/v2
Version:                2.0.1

%gometa

%global common_description %{expand:
Package Chunkreader provides an io.Reader wrapper that minimizes IO reads and
memory allocations.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    2%{?dist}
Summary:        io.Reader wrapper that minimizes IO reads and memory allocations

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 2.0.1-2
- Rebuilt for loongarch64

* Mon Aug 19 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
